%define upstream_name    Class-Accessor-Grouped
%define upstream_version 0.10014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      1

Summary:    Lets you build groups of accessors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor) >= 1.190.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Runtime) >= 0.12.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Name) >= 0.50.0
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This class lets you build groups of accessors that will call different getters
and setters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 README Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:0.100.140-3.mga8
+ Revision: 1503548
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1:0.100.140-2.mga7
+ Revision: 1282246
- Mageia 7 Mass Rebuild

* Mon Jul 02 2018 tv <tv> 1:0.100.140-1.mga7
+ Revision: 1241293
- update to 0.10014

* Mon Oct 02 2017 tv <tv> 1:0.100.120-5.mga7
+ Revision: 1163276
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1:0.100.120-4.mga7
+ Revision: 1158938
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 1:0.100.120-3.mga6
+ Revision: 1023846
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1:0.100.120-2.mga6
+ Revision: 965623
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 sander85 <sander85> 1:0.100.120-1.mga6
+ Revision: 836422
- update to 0.10012

* Sat Oct 18 2014 umeabot <umeabot> 1:0.100.100-6.mga5
+ Revision: 788026
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1:0.100.100-5.mga5
+ Revision: 741497
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1:0.100.100-4.mga5
+ Revision: 732928
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:0.100.100-3.mga5
+ Revision: 683878
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:0.100.100-2.mga4
+ Revision: 526315
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 1:0.100.100-1.mga4
+ Revision: 436620
- update to 0.10010

* Sun Jan 13 2013 umeabot <umeabot> 1:0.100.90-2.mga3
+ Revision: 364225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1:0.100.90-1.mga3
+ Revision: 341925
- update to 0.10009

* Wed Nov 14 2012 jquelin <jquelin> 1:0.100.70-1.mga3
+ Revision: 317612
- update to 0.10007

* Wed Jan 04 2012 jquelin <jquelin> 1:0.100.60-1.mga2
+ Revision: 190280
- update to 0.10006

* Thu Dec 08 2011 kharec <kharec> 1:0.100.40-1.mga2
+ Revision: 179111
- update to 0.10004

* Wed Jun 15 2011 jquelin <jquelin> 1:0.100.30-1.mga2
+ Revision: 106525
- update to 0.10003

* Fri Jan 21 2011 jquelin <jquelin> 1:0.100.20-1.mga1
+ Revision: 29871
- mageia rebuild
- imported package perl-Class-Accessor-Grouped


* Thu Dec 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.100.20-1mdv2011.0
+ Revision: 624077
- update to new version 0.10002

* Tue Dec 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.100.10-1mdv2011.0
+ Revision: 621739
- update to new version 0.10001

* Sun Nov 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.100.0-1mdv2011.0
+ Revision: 602379
- update to new version 0.10000

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.90.90-1mdv2011.0
+ Revision: 601860
- update to new version 0.09009

* Sat Oct 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.90.80-1mdv2011.0
+ Revision: 586097
- new version

* Fri Sep 03 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.90.50-1mdv2011.0
+ Revision: 575588
- update to 0.09005

* Fri Aug 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.90.40-1mdv2011.0
+ Revision: 569459
- new version

* Mon Apr 26 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.90.30-1mdv2011.0
+ Revision: 539082
- update to 0.09003

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1:0.90.20-1mdv2010.1
+ Revision: 461728
- update to 0.09002

* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 1:0.90.0-1mdv2010.0
+ Revision: 420946
- update buildrequires:
- bumping epoch
- update to 0.09000

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.08003-1mdv2010.0
+ Revision: 370017
- update to new version 0.08003

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.08002-1mdv2009.1
+ Revision: 305703
- update to new version 0.08002

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.08001-3mdv2009.0
+ Revision: 255843
- rebuild

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.08001-1mdv2008.1
+ Revision: 152970
- update to new version 0.08001
- update to new version 0.08001

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.07000-1mdv2008.0
+ Revision: 48445
- import perl-Class-Accessor-Grouped


* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.07000-1mdv2008.0
- first mdv package 
